#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/cvsservice_stub.h
    ${CMAKE_CURRENT_BINARY_DIR}/cvsjob_stub.h
    ${CMAKE_CURRENT_BINARY_DIR}/repository_stub.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )


##### other data ################################

install( FILES
    cvsservice.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )


##### cvsservice (shared) #######################

tde_add_library( cvsservice SHARED AUTOMOC
  SOURCES
    cvsservice.stub cvsjob.stub repository.stub
  VERSION 0.0.1
  LINK tdecore-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### cvsservice (tdeinit) ######################

tde_add_tdeinit_executable( cvsservice AUTOMOC
  SOURCES
    main.cpp cvsservice.cpp cvsjob.cpp cvsservice.skel cvsservice.stub
    cvsjob.skel cvsjob.stub repository.cpp repository.skel
    repository.stub sshagent.cpp cvsserviceutils.cpp cvsloginjob.cpp
    cvsloginjob.skel cvsloginjob.stub
  LINK tdeio-shared
)


##### cvsaskpass (tdeinit) ######################

tde_add_tdeinit_executable( cvsaskpass AUTOMOC
  SOURCES cvsaskpass.cpp
  LINK tdeui-shared
)
